#!/bin/bash
FSID=$(cephadm ls | jq .[0].fsid -r)
if [ -z $FSID ];then
	echo "no clusters present"
	exit 0
fi
read -p "Are you sure you want to purge the cluster $FSID ? [no] " del
case $del in
	yes)
		echo "purging cluster"
		cephadm rm-cluster --fsid $FSID --force
	        rm -rf /etc/ceph/ceph.*
		echo "wiping disks"
		for i in `vgs | grep ceph | awk '{print $1}'` ; do vgremove -f $i ; done
		/opt/tools/wipedev -a
		exit 0
		;;
	*)
		echo "exiting"
		exit 0
		;;
esac
